<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PoolableConnectionFactory (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PoolableConnectionFactory (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":42,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":42,"i41":10,"i42":10,"i43":10,"i44":42,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PoolableConnectionFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionMXBean.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/PoolableConnectionFactory.html" target="_top">Frames</a></li>
<li><a href="PoolableConnectionFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2</div>
<h2 title="Class PoolableConnectionFactory" class="title">Class PoolableConnectionFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.PoolableConnectionFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed">PoolableManagedConnectionFactory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PoolableConnectionFactory</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</pre>
<div class="block">A <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>PooledObjectFactory</code></a> that creates <a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolableConnection</code></a>s.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#PoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-javax.management.ObjectName-">PoolableConnectionFactory</a></span>(<a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connFactory,
                         <a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a>&nbsp;dataSourceJmxObjectName)</code>
<div class="block">Creates a new <code>PoolableConnectionFactory</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#activateObject-org.apache.commons.pool2.PooledObject-">activateObject</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#destroyObject-org.apache.commons.pool2.PooledObject-">destroyObject</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getCacheState--">getCacheState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getConnectionFactory--">getConnectionFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/atomic/AtomicLong.html?is-external=true" title="class or interface in java.util.concurrent.atomic">AtomicLong</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getConnectionIndex--">getConnectionIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getConnectionInitSqls--">getConnectionInitSqls</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDataSourceJmxName--">getDataSourceJmxName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDataSourceJmxObjectName--">getDataSourceJmxObjectName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultAutoCommit--">getDefaultAutoCommit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultCatalog--">getDefaultCatalog</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultQueryTimeout--">getDefaultQueryTimeout</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultQueryTimeoutSeconds--">getDefaultQueryTimeoutSeconds</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultReadOnly--">getDefaultReadOnly</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultSchema--">getDefaultSchema</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDefaultTransactionIsolation--">getDefaultTransactionIsolation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDisconnectionSqlCodes--">getDisconnectionSqlCodes</a></span>()</code>
<div class="block">SQL_STATE codes considered to signal fatal conditions.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getMaxConnLifetimeMillis--">getMaxConnLifetimeMillis</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getMaxOpenPreparedStatements--">getMaxOpenPreparedStatements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getPool--">getPool</a></span>()</code>
<div class="block">Returns the <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a> in which <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s are pooled.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getPoolStatements--">getPoolStatements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getValidationQuery--">getValidationQuery</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getValidationQueryTimeoutSeconds--">getValidationQueryTimeoutSeconds</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#initializeConnection-java.sql.Connection-">initializeConnection</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isAutoCommitOnReturn--">isAutoCommitOnReturn</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isEnableAutoCommitOnReturn--">isEnableAutoCommitOnReturn</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isAutoCommitOnReturn--"><code>isAutoCommitOnReturn()</code></a>.</span></div>
</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isFastFailValidation--">isFastFailValidation</a></span>()</code>
<div class="block">True means that validation will fail immediately for connections that have previously thrown SQLExceptions with
 SQL_STATE indicating fatal disconnection errors.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isRollbackOnReturn--">isRollbackOnReturn</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#makeObject--">makeObject</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#passivateObject-org.apache.commons.pool2.PooledObject-">passivateObject</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setAutoCommitOnReturn-boolean-">setAutoCommitOnReturn</a></span>(boolean&nbsp;autoCommitOnReturn)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setCacheState-boolean-">setCacheState</a></span>(boolean&nbsp;cacheState)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setClearStatementPoolOnReturn-boolean-">setClearStatementPoolOnReturn</a></span>(boolean&nbsp;clearStatementPoolOnReturn)</code>
<div class="block">Sets whether the pool of statements (which was enabled with <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setPoolStatements-boolean-"><code>setPoolStatements(boolean)</code></a>) should
 be cleared when the connection is returned to its pool.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setConnectionInitSql-java.util.Collection-">setConnectionInitSql</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;connectionInitSqls)</code>
<div class="block">Sets the SQL statements I use to initialize newly created <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDefaultAutoCommit-java.lang.Boolean-">setDefaultAutoCommit</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;defaultAutoCommit)</code>
<div class="block">Sets the default "auto commit" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDefaultCatalog-java.lang.String-">setDefaultCatalog</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultCatalog)</code>
<div class="block">Sets the default "catalog" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDefaultQueryTimeout-java.lang.Integer-">setDefaultQueryTimeout</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;defaultQueryTimeoutSeconds)</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDefaultReadOnly-java.lang.Boolean-">setDefaultReadOnly</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;defaultReadOnly)</code>
<div class="block">Sets the default "read only" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDefaultSchema-java.lang.String-">setDefaultSchema</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultSchema)</code>
<div class="block">Sets the default "schema" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDefaultTransactionIsolation-int-">setDefaultTransactionIsolation</a></span>(int&nbsp;defaultTransactionIsolation)</code>
<div class="block">Sets the default "Transaction Isolation" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDisconnectionSqlCodes-java.util.Collection-">setDisconnectionSqlCodes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;disconnectionSqlCodes)</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setEnableAutoCommitOnReturn-boolean-">setEnableAutoCommitOnReturn</a></span>(boolean&nbsp;autoCommitOnReturn)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setAutoCommitOnReturn-boolean-"><code>setAutoCommitOnReturn(boolean)</code></a>.</span></div>
</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setFastFailValidation-boolean-">setFastFailValidation</a></span>(boolean&nbsp;fastFailValidation)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxConnLifetimeMillis-long-">setMaxConnLifetimeMillis</a></span>(long&nbsp;maxConnLifetimeMillis)</code>
<div class="block">Sets the maximum lifetime in milliseconds of a connection after which the connection will always fail activation,
 passivation and validation.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxOpenPreparedStatements-int-">setMaxOpenPreparedStatements</a></span>(int&nbsp;maxOpenPreparedStatements)</code>
<div class="block">Sets the maximum number of open prepared statements.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxOpenPrepatedStatements-int-">setMaxOpenPrepatedStatements</a></span>(int&nbsp;maxOpenPreparedStatements)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxOpenPreparedStatements-int-"><code>setMaxOpenPreparedStatements(int)</code></a>.</span></div>
</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setPool-org.apache.commons.pool2.ObjectPool-">setPool</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;pool)</code>
<div class="block">Sets the <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a> in which to pool <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setPoolStatements-boolean-">setPoolStatements</a></span>(boolean&nbsp;poolStatements)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setRollbackOnReturn-boolean-">setRollbackOnReturn</a></span>(boolean&nbsp;rollbackOnReturn)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setValidationQuery-java.lang.String-">setValidationQuery</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;validationQuery)</code>
<div class="block">Sets the query I use to <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#validateObject-org.apache.commons.pool2.PooledObject-"><code>validate</code></a> <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setValidationQueryTimeout-int-">setValidationQueryTimeout</a></span>(int&nbsp;validationQueryTimeoutSeconds)</code>
<div class="block">Sets the validation query timeout, the amount of time, in seconds, that connection validation will wait for a
 response from the database when executing a validation query.</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#validateConnection-org.apache.commons.dbcp2.PoolableConnection-">validateConnection</a></span>(<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#validateObject-org.apache.commons.pool2.PooledObject-">validateObject</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-javax.management.ObjectName-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PoolableConnectionFactory</h4>
<pre>public&nbsp;PoolableConnectionFactory(<a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connFactory,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a>&nbsp;dataSourceJmxObjectName)</pre>
<div class="block">Creates a new <code>PoolableConnectionFactory</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connFactory</code> - the <a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><code>ConnectionFactory</code></a> from which to obtain base <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
<dd><code>dataSourceJmxObjectName</code> - The JMX object name, may be null.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="activateObject-org.apache.commons.pool2.PooledObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activateObject</h4>
<pre>public&nbsp;void&nbsp;activateObject(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true#activateObject-org.apache.commons.pool2.PooledObject-" title="class or interface in org.apache.commons.pool2">activateObject</a></code>&nbsp;in interface&nbsp;<code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="destroyObject-org.apache.commons.pool2.PooledObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destroyObject</h4>
<pre>public&nbsp;void&nbsp;destroyObject(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true#destroyObject-org.apache.commons.pool2.PooledObject-" title="class or interface in org.apache.commons.pool2">destroyObject</a></code>&nbsp;in interface&nbsp;<code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="getCacheState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCacheState</h4>
<pre>public&nbsp;boolean&nbsp;getCacheState()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The cache state.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Made public in 2.6.0.</dd>
</dl>
</li>
</ul>
<a name="getConnectionFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionFactory</h4>
<pre>public&nbsp;<a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;getConnectionFactory()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The connection factory.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Made public in 2.6.0.</dd>
</dl>
</li>
</ul>
<a name="getConnectionIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionIndex</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/atomic/AtomicLong.html?is-external=true" title="class or interface in java.util.concurrent.atomic">AtomicLong</a>&nbsp;getConnectionIndex()</pre>
</li>
</ul>
<a name="getConnectionInitSqls--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionInitSqls</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getConnectionInitSqls()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The collection of initialization SQL statements.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDataSourceJmxName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataSourceJmxName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a>&nbsp;getDataSourceJmxName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data source JMX ObjectName</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Made public in 2.6.0.</dd>
</dl>
</li>
</ul>
<a name="getDataSourceJmxObjectName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataSourceJmxObjectName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a>&nbsp;getDataSourceJmxObjectName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data source JMS ObjectName.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDefaultAutoCommit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultAutoCommit</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getDefaultAutoCommit()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default auto-commit value.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDefaultCatalog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultCatalog</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultCatalog()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default catalog.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDefaultQueryTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultQueryTimeout</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getDefaultQueryTimeout()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default query timeout in seconds.</dd>
</dl>
</li>
</ul>
<a name="getDefaultQueryTimeoutSeconds--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultQueryTimeoutSeconds</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getDefaultQueryTimeoutSeconds()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default query timeout in seconds.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDefaultReadOnly--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultReadOnly</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getDefaultReadOnly()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default read-only-value.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDefaultSchema--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultSchema</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultSchema()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default schema.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDefaultTransactionIsolation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTransactionIsolation</h4>
<pre>public&nbsp;int&nbsp;getDefaultTransactionIsolation()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Default transaction isolation.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getDisconnectionSqlCodes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisconnectionSqlCodes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getDisconnectionSqlCodes()</pre>
<div class="block">SQL_STATE codes considered to signal fatal conditions.
 <p>
 Overrides the defaults in <a href="../../../../org/apache/commons/dbcp2/Utils.html#DISCONNECTION_SQL_CODES"><code>Utils.DISCONNECTION_SQL_CODES</code></a> (plus anything starting with
 <a href="../../../../org/apache/commons/dbcp2/Utils.html#DISCONNECTION_SQL_CODE_PREFIX"><code>Utils.DISCONNECTION_SQL_CODE_PREFIX</code></a>). If this property is non-null and <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isFastFailValidation--"><code>isFastFailValidation()</code></a> is
 <code>true</code>, whenever connections created by this factory generate exceptions with SQL_STATE codes in this list,
 they will be marked as "fatally disconnected" and subsequent validations will fail fast (no attempt at isValid or
 validation query).
 </p>
 <p>
 If <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isFastFailValidation--"><code>isFastFailValidation()</code></a> is <code>false</code> setting this property has no effect.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQL_STATE codes overriding defaults</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1</dd>
</dl>
</li>
</ul>
<a name="getMaxConnLifetimeMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxConnLifetimeMillis</h4>
<pre>public&nbsp;long&nbsp;getMaxConnLifetimeMillis()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Maximum connection lifetime in milliseconds.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getMaxOpenPreparedStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxOpenPreparedStatements</h4>
<pre>protected&nbsp;int&nbsp;getMaxOpenPreparedStatements()</pre>
</li>
</ul>
<a name="getPool--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPool</h4>
<pre>public&nbsp;<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;getPool()</pre>
<div class="block">Returns the <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a> in which <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s are pooled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the connection pool</dd>
</dl>
</li>
</ul>
<a name="getPoolStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPoolStatements</h4>
<pre>public&nbsp;boolean&nbsp;getPoolStatements()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether to pool statements.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Made public in 2.6.0.</dd>
</dl>
</li>
</ul>
<a name="getValidationQuery--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidationQuery</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getValidationQuery()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Validation query.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getValidationQueryTimeoutSeconds--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidationQueryTimeoutSeconds</h4>
<pre>public&nbsp;int&nbsp;getValidationQueryTimeoutSeconds()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Validation query timeout in seconds.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="initializeConnection-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initializeConnection</h4>
<pre>protected&nbsp;void&nbsp;initializeConnection(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;conn)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="isAutoCommitOnReturn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoCommitOnReturn</h4>
<pre>public&nbsp;boolean&nbsp;isAutoCommitOnReturn()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether to auto-commit on return.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="isEnableAutoCommitOnReturn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnableAutoCommitOnReturn</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;boolean&nbsp;isEnableAutoCommitOnReturn()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isAutoCommitOnReturn--"><code>isAutoCommitOnReturn()</code></a>.</span></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether to auto-commit on return.</dd>
</dl>
</li>
</ul>
<a name="isFastFailValidation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFastFailValidation</h4>
<pre>public&nbsp;boolean&nbsp;isFastFailValidation()</pre>
<div class="block">True means that validation will fail immediately for connections that have previously thrown SQLExceptions with
 SQL_STATE indicating fatal disconnection errors.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if connections created by this factory will fast fail validation.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1, 2.5.0 Defaults to true, previous versions defaulted to false.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setDisconnectionSqlCodes-java.util.Collection-"><code>setDisconnectionSqlCodes(Collection)</code></a></dd>
</dl>
</li>
</ul>
<a name="isRollbackOnReturn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRollbackOnReturn</h4>
<pre>public&nbsp;boolean&nbsp;isRollbackOnReturn()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether to rollback on return.</dd>
</dl>
</li>
</ul>
<a name="makeObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>makeObject</h4>
<pre>public&nbsp;<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;makeObject()
                                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true#makeObject--" title="class or interface in org.apache.commons.pool2">makeObject</a></code>&nbsp;in interface&nbsp;<code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="passivateObject-org.apache.commons.pool2.PooledObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>passivateObject</h4>
<pre>public&nbsp;void&nbsp;passivateObject(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true#passivateObject-org.apache.commons.pool2.PooledObject-" title="class or interface in org.apache.commons.pool2">passivateObject</a></code>&nbsp;in interface&nbsp;<code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="setAutoCommitOnReturn-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoCommitOnReturn</h4>
<pre>public&nbsp;void&nbsp;setAutoCommitOnReturn(boolean&nbsp;autoCommitOnReturn)</pre>
</li>
</ul>
<a name="setCacheState-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCacheState</h4>
<pre>public&nbsp;void&nbsp;setCacheState(boolean&nbsp;cacheState)</pre>
</li>
</ul>
<a name="setConnectionInitSql-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectionInitSql</h4>
<pre>public&nbsp;void&nbsp;setConnectionInitSql(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;connectionInitSqls)</pre>
<div class="block">Sets the SQL statements I use to initialize newly created <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s. Using <code>null</code> turns off
 connection initialization.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectionInitSqls</code> - SQL statement to initialize <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</dd>
</dl>
</li>
</ul>
<a name="setDefaultAutoCommit-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultAutoCommit</h4>
<pre>public&nbsp;void&nbsp;setDefaultAutoCommit(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;defaultAutoCommit)</pre>
<div class="block">Sets the default "auto commit" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultAutoCommit</code> - the default "auto commit" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
</dl>
</li>
</ul>
<a name="setDefaultCatalog-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultCatalog</h4>
<pre>public&nbsp;void&nbsp;setDefaultCatalog(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultCatalog)</pre>
<div class="block">Sets the default "catalog" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultCatalog</code> - the default "catalog" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
</dl>
</li>
</ul>
<a name="setDefaultQueryTimeout-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultQueryTimeout</h4>
<pre>public&nbsp;void&nbsp;setDefaultQueryTimeout(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;defaultQueryTimeoutSeconds)</pre>
</li>
</ul>
<a name="setDefaultReadOnly-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultReadOnly</h4>
<pre>public&nbsp;void&nbsp;setDefaultReadOnly(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;defaultReadOnly)</pre>
<div class="block">Sets the default "read only" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultReadOnly</code> - the default "read only" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
</dl>
</li>
</ul>
<a name="setDefaultSchema-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultSchema</h4>
<pre>public&nbsp;void&nbsp;setDefaultSchema(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultSchema)</pre>
<div class="block">Sets the default "schema" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultSchema</code> - the default "schema" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="setDefaultTransactionIsolation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultTransactionIsolation</h4>
<pre>public&nbsp;void&nbsp;setDefaultTransactionIsolation(int&nbsp;defaultTransactionIsolation)</pre>
<div class="block">Sets the default "Transaction Isolation" setting for borrowed <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultTransactionIsolation</code> - the default "Transaction Isolation" setting for returned <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
</dl>
</li>
</ul>
<a name="setDisconnectionSqlCodes-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDisconnectionSqlCodes</h4>
<pre>public&nbsp;void&nbsp;setDisconnectionSqlCodes(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;disconnectionSqlCodes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>disconnectionSqlCodes</code> - The disconnection SQL codes.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getDisconnectionSqlCodes--"><code>getDisconnectionSqlCodes()</code></a></dd>
</dl>
</li>
</ul>
<a name="setEnableAutoCommitOnReturn-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnableAutoCommitOnReturn</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;void&nbsp;setEnableAutoCommitOnReturn(boolean&nbsp;autoCommitOnReturn)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setAutoCommitOnReturn-boolean-"><code>setAutoCommitOnReturn(boolean)</code></a>.</span></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>autoCommitOnReturn</code> - Whether to auto-commit on return.</dd>
</dl>
</li>
</ul>
<a name="setFastFailValidation-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFastFailValidation</h4>
<pre>public&nbsp;void&nbsp;setFastFailValidation(boolean&nbsp;fastFailValidation)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fastFailValidation</code> - true means connections created by this factory will fast fail validation</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#isFastFailValidation--"><code>isFastFailValidation()</code></a></dd>
</dl>
</li>
</ul>
<a name="setMaxConnLifetimeMillis-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxConnLifetimeMillis</h4>
<pre>public&nbsp;void&nbsp;setMaxConnLifetimeMillis(long&nbsp;maxConnLifetimeMillis)</pre>
<div class="block">Sets the maximum lifetime in milliseconds of a connection after which the connection will always fail activation,
 passivation and validation. A value of zero or less indicates an infinite lifetime. The default value is -1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxConnLifetimeMillis</code> - The maximum lifetime in milliseconds.</dd>
</dl>
</li>
</ul>
<a name="setMaxOpenPreparedStatements-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxOpenPreparedStatements</h4>
<pre>public&nbsp;void&nbsp;setMaxOpenPreparedStatements(int&nbsp;maxOpenPreparedStatements)</pre>
<div class="block">Sets the maximum number of open prepared statements.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxOpenPreparedStatements</code> - The maximum number of open prepared statements.</dd>
</dl>
</li>
</ul>
<a name="setMaxOpenPrepatedStatements-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxOpenPrepatedStatements</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;void&nbsp;setMaxOpenPrepatedStatements(int&nbsp;maxOpenPreparedStatements)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setMaxOpenPreparedStatements-int-"><code>setMaxOpenPreparedStatements(int)</code></a>.</span></div>
<div class="block">Deprecated due to typo in method name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxOpenPreparedStatements</code> - The maximum number of open prepared statements.</dd>
</dl>
</li>
</ul>
<a name="setPool-org.apache.commons.pool2.ObjectPool-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPool</h4>
<pre>public&nbsp;void&nbsp;setPool(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;pool)</pre>
<div class="block">Sets the <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a> in which to pool <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pool</code> - the <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a> in which to pool those <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s</dd>
</dl>
</li>
</ul>
<a name="setPoolStatements-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPoolStatements</h4>
<pre>public&nbsp;void&nbsp;setPoolStatements(boolean&nbsp;poolStatements)</pre>
</li>
</ul>
<a name="setClearStatementPoolOnReturn-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClearStatementPoolOnReturn</h4>
<pre>public&nbsp;void&nbsp;setClearStatementPoolOnReturn(boolean&nbsp;clearStatementPoolOnReturn)</pre>
<div class="block">Sets whether the pool of statements (which was enabled with <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#setPoolStatements-boolean-"><code>setPoolStatements(boolean)</code></a>) should
 be cleared when the connection is returned to its pool. Default is false.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clearStatementPoolOnReturn</code> - clear or not</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.8.0</dd>
</dl>
</li>
</ul>
<a name="setRollbackOnReturn-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRollbackOnReturn</h4>
<pre>public&nbsp;void&nbsp;setRollbackOnReturn(boolean&nbsp;rollbackOnReturn)</pre>
</li>
</ul>
<a name="setValidationQuery-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidationQuery</h4>
<pre>public&nbsp;void&nbsp;setValidationQuery(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;validationQuery)</pre>
<div class="block">Sets the query I use to <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#validateObject-org.apache.commons.pool2.PooledObject-"><code>validate</code></a> <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s. Should return at least one row. If
 not specified, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#isValid-int-" title="class or interface in java.sql"><code>Connection.isValid(int)</code></a> will be used to validate connections.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>validationQuery</code> - a query to use to <a href="../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#validateObject-org.apache.commons.pool2.PooledObject-"><code>validate</code></a> <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</dd>
</dl>
</li>
</ul>
<a name="setValidationQueryTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidationQueryTimeout</h4>
<pre>public&nbsp;void&nbsp;setValidationQueryTimeout(int&nbsp;validationQueryTimeoutSeconds)</pre>
<div class="block">Sets the validation query timeout, the amount of time, in seconds, that connection validation will wait for a
 response from the database when executing a validation query. Use a value less than or equal to 0 for no timeout.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>validationQueryTimeoutSeconds</code> - new validation query timeout value in seconds</dd>
</dl>
</li>
</ul>
<a name="validateConnection-org.apache.commons.dbcp2.PoolableConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateConnection</h4>
<pre>public&nbsp;void&nbsp;validateConnection(<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&nbsp;conn)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="validateObject-org.apache.commons.pool2.PooledObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>validateObject</h4>
<pre>public&nbsp;boolean&nbsp;validateObject(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;p)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true#validateObject-org.apache.commons.pool2.PooledObject-" title="class or interface in org.apache.commons.pool2">validateObject</a></code>&nbsp;in interface&nbsp;<code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PoolableConnectionFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionMXBean.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/PoolableConnectionFactory.html" target="_top">Frames</a></li>
<li><a href="PoolableConnectionFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
